<?
define('PROTECTOR', 1);

$head = 'shop';//фикс. места

$textl='Магазин';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
going();
ryd();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

switch($_GET[mod]){

default:
echo"<b>Магазин снаряжения</b>$div
<img src='pic/pers/weapon/shop.jpg' alt='*'/></br>";
$req = mysql_query("SELECT * FROM `komplekt` ORDER BY `lvl` ASC") or die (mysql_error());
While($kompl=mysql_fetch_array($req)){

if($udata[lvl]>$kompl[lvl]){$font="gray";$pic="downlvl.png";}
if($udata[lvl]>=$kompl[lvl] and $udata[lvl]<=$kompl[lvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$kompl[lvl]){$font="chocolate";$pic="uplvl.png";}

echo"<img src='pic/pers/weapon/$pic' alt='*'/> <a href=\"weapon.php?mod=prosm&kom=$kompl[id]\">
<font color='$font'>$kompl[name]</a></font><br/>";}


break;

case 'prosm':
if($udata[prava]>4){echo"<a href=\"cpanel.php?mod=4&kom=$_GET[kom]\">Саздать вещь</a></br>
<a href=\"adm_panel.php?mod=2&kom=$_GET[kom]\">Изменить вещь</a></br>";

}
if(empty($_GET[kom])){echo"<img src='pic/no.png' alt='*'/>Не выбран комплект</br><a href=\"weapon.php?\">Назад</a>";break;}else{
$kom = htmlspecialchars(addslashes(stripslashes($_GET['kom'])));
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `shops` WHERE `kompl`= '$kom'") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Пока нет вещей</br><a href=\"weapon.php?\">Назад</a>";break;}else{
echo"Здесь представлены только лучшие, новые вещи!$div ";
///////////ПОКУПКA////////
if(isset($_GET[shmot])){

switch($_GET[act]){

default:
break;
case 'sell':
$ids = htmlspecialchars(addslashes(stripslashes($_GET['ids'])));
$rep = mysql_query("SELECT * FROM `shops` WHERE`id`='$ids'");
$avtop=mysql_num_rows($rep);
if($avtop==0){
echo'Ошибка, такой вещи нет!';break;}
$mags = mysql_fetch_array($rep);
///////////////
$dm=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($dm);
if($dom['white']>$dom['black']){
$liders='white';
}elseif($dom['black']>$dom['white']){
$liders='black';
}else{
$liders='not';}
if($udata['storona']==$liders){
$mags[cena]=round($mags[cena]-(($mags[cena]/100)*10));}
/////////////
$nmoney=$udata[money]-$mags[cena];
if($nmoney<0){
echo'Нехватает монет!';break;
exit;}

mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$log',
        `tip` = '$mags[tip]',
        `kompl` = '$mags[kompl]',
        `proch` = '10',
        `name` = '$mags[name]',
        `cena` = '$mags[cena]',
        `hp` = '$mags[hp]',
        `mp` = '$mags[mp]',
        `krit` = '$mags[krit]',
        `ukrit` = '$mags[ukrit]',
        `sila` = '$mags[sila]',
        `lovk` = '$mags[lovk]',
        `prot` = '$mags[prot]',
        `nlvl` = '$mags[nlvl]',
        `image` = 'not'") or die (mysql_error());
mysql_query("UPDATE users SET money = '$nmoney' WHERE usr = '$log'");
echo"Вещь <b>$mags[name]</b> куплена и помещена в инвентарь!<br/>
Монет потрачено: $mags[cena]<br/>
Монет осталось: $nmoney<br/>";
echo"<a href=\"weapon.php?mod=prosm&kom=$kom\">Закончить покупку</a> $div";
break;

case 'ask':

echo'Вы действительно хотите купить эту вещь?<br/>';
echo"<a href=\"weapon.php?mod=prosm&kom=$kom&shmot&act=sell&ids=$id\">Да</a><br/>";
echo"<a href=\"weapon.php?mod=prosm&kom=$kom\">Нет</a>$div";
break;}
}
//////////////HAPPY END////////

$am=0;
While($mag = mysql_fetch_array($req))
{
if($udata[lvl]>$mag[nlvl]){$font="#AAAAAA";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Надето!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#FF6633'> Хуже $sta</font>";}
$am=$am+$mag[cena];
echo"<img class=\"float-left\" src=\"pic/pers/weapon/$mag[tip]$mag[kompl].jpg\"/><a href=\"weapon.php?mod=info&id=$mag[id]\"><font color='$font'>$mag[name]</font></a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex <img src='pic/bazar.gif' alt='*'/>$mag[cena] 
[<a href=\"weapon.php?mod=prosm&kom=$kom&shmot&act=ask&id=$mag[id]\">купить</a>]";
if($udata[prava]>=4){echo"[<a href=\"adm_panel.php?mod=14&id=$mag[id]\">ред</a>]";}
echo"$div";}
echo"<a href=\"weapon.php?\">Назад</a>";

}
echo"<br/><a href=\"weapon.php?mod=askall&kom=$kom&am=$am\">Купить весь комплект за $am монет</a><br/>";
}
break;


case 'askall':
if($udata[money]<$_GET[am]){echo"Нехватает монет!</br>";echo"<a href=\"weapon.php?mod=prosm&kom=$_GET[kom]\">Назад</a>";break;}
echo'Вы действительно хотите купить весь комплект за '.$_GET[am].' монет?<br/>';
echo"<a href=\"weapon.php?mod=all&kom=$_GET[kom]\">Да</a><br/>";
echo"<a href=\"weapon.php?mod=prosm&kom=$_GET[kom]\">Нет</a>";
break;

case 'all':
$kom = htmlspecialchars(addslashes(stripslashes($_GET['kom'])));
$rep = mysql_query("SELECT * FROM `shops` WHERE `kompl`='$kom'");
$avtop=mysql_num_rows($rep);
if($avtop==0){
echo'Ошибка, такого комплекта нет!';break;}

$am=0;
While($mags = mysql_fetch_array($rep))
{
mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$log',
        `tip` = '$mags[tip]',
        `kompl` = '$mags[kompl]',
        `proch` = '10',
        `name` = '$mags[name]',
        `cena` = '$mags[cena]',
        `hp` = '$mags[hp]',
        `mp` = '$mags[mp]',
        `krit` = '$mags[krit]',
        `ukrit` = '$mags[ukrit]',
        `sila` = '$mags[sila]',
        `lovk` = '$mags[lovk]',
        `prot` = '$mags[prot]',
        `nlvl` = '$mags[nlvl]',
        `image` = 'not'") or die (mysql_error());
$am=$am+$mags[cena];
}

echo"Куплено $avtop вещей , они помещены в инвентарь</br>";
echo"<a href=\"weapon.php?mod=prosm&kom=$kom\">Закончить покупку</a> ";
$nmoney=$udata[money]-$am;


mysql_query("UPDATE users SET money = '$nmoney' WHERE usr = '$log'");
break;

case 'info':
$req = mysql_query("SELECT * FROM `shops` WHERE `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo'Ошибка!';
@include('files/down.php');exit;}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Наплечник';
break;
case 'plash':
$tip='Плащ';
break;
case 'amulet':
$tip='Амулет';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'ruki':
$tip='Рукавицы';
break;}
if($udata[lvl]>$mag[nlvl]){$font="gray";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
echo"<img class=\"float-left\" src=\"pic/pers/weapon/$mag[tip]$mag[kompl].jpg\"/>";
echo"<img src='pic/pers/weapon/$pic' alt='*'/><font color='#ffc22b'><b>$mag[name]</b></font><br/>
Тип: <font color='$font'><b>$tip</b></font></p>";
if(!empty($mag[hp])){echo"Жизнь: <font color='$font'><b>$mag[hp]<br/></font></b>";}
if(!empty($mag[mp])){echo"Мана: <font color='$font'><b>$mag[mp]<br/></b></font>";}
if(!empty($mag[sila])){echo"Сила: <font color='$font'><b>$mag[sila]<br/></b></font>";}
if(!empty($mag[lovk])){echo"Ловкость: <font color='$font'><b>$mag[lovk]<br/></b></font>";}
if(!empty($mag[prot])){echo"Физ. защита: <font color='$font'><b>$mag[prot]<br/></b></font>";}
if(!empty($mag[krit])){echo"Крит: <font color='$font'><b>$mag[krit]%<br/></b></font>";}
if(!empty($mag[ukrit])){echo"Крит-урон: <font color='$font'><b>$mag[ukrit]%<br/></b></font>";}
echo"<font color='#ffc22b'><b>Требования:</b></font><br/>";
if(!empty($mag[nlvl])){echo"Уровень: <font color='$font'>$mag[nlvl]<br/></font>";}

echo'<a href="javascript:history.go(-1)">Назад</a>';
break;
}
@include('files/down.php');
?>